package com.rozrobka.hiberdemo;

import java.util.List;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.rozrobka.model.Ad;
import com.rozrobka.model.Category;

/**
 * Hello world!
 *
 */
public class App {
    public static void main( String[] args ) {
    	String[] configs = {"classpath:/appCtx.xml"};
        ApplicationContext ctx = new ClassPathXmlApplicationContext(configs);
        
        AdsDao adsDao = (AdsDao) ctx.getBean("adsDao");
        
        Category cat1 = new Category();
        cat1.setName("First Category");
        
        adsDao.save(cat1);
        
        Ad ad1 = new Ad();
        ad1.setCategory(cat1);
        ad1.setName("Ad 1");
        ad1.setEmail("mail@inet.com");
        ad1.setDescription("description");

        Ad ad2 = new Ad();
        ad2.setCategory(cat1);
        ad2.setName("Ad 2");
        ad2.setEmail("mail@inet.com");
        ad2.setDescription("description");

        adsDao.save(ad1);
        adsDao.save(ad2);
        
        List<Ad> ads = adsDao.getAllAds();
        System.out.println("Array size: " + ads.size());
        
    }
}
